Update a provider config status
curl --request PATCH \
--url https://api.eu.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-idempotency-key: <x-idempotency-key>' \
--data '
{
"config": {
"accountDetails": {
"processingChannelId": "pc_0a70d769-9c20-416e-a436-4a323ce7eabf"
},
"credentials": {
"clientId": "ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc",
"clientSecret": "XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA",
"hmacKeys": [
"4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9"
]
}
},
"accountName": "TestAccountName",
"accountDisplayName": "TestAccountDisplayName"
}
'import requests
url = "https://api.eu.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}"
payload = {
"config": {
"accountDetails": { "processingChannelId": "pc_0a70d769-9c20-416e-a436-4a323ce7eabf" },
"credentials": {
"clientId": "ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc",
"clientSecret": "XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA",
"hmacKeys": ["4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9"]
}
},
"accountName": "TestAccountName",
"accountDisplayName": "TestAccountDisplayName"
}
headers = {
"x-idempotency-key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-idempotency-key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
config: {
accountDetails: {processingChannelId: 'pc_0a70d769-9c20-416e-a436-4a323ce7eabf'},
credentials: {
clientId: 'ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc',
clientSecret: 'XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA',
hmacKeys: ['4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9']
}
},
accountName: 'TestAccountName',
accountDisplayName: 'TestAccountDisplayName'
})
};
fetch('https://api.eu.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eu.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'config' => [
'accountDetails' => [
'processingChannelId' => 'pc_0a70d769-9c20-416e-a436-4a323ce7eabf'
],
'credentials' => [
'clientId' => 'ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc',
'clientSecret' => 'XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA',
'hmacKeys' => [
'4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9'
]
]
],
'accountName' => 'TestAccountName',
'accountDisplayName' => 'TestAccountDisplayName'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-idempotency-key: <x-idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eu.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}"
payload := strings.NewReader("{\n \"config\": {\n \"accountDetails\": {\n \"processingChannelId\": \"pc_0a70d769-9c20-416e-a436-4a323ce7eabf\"\n },\n \"credentials\": {\n \"clientId\": \"ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc\",\n \"clientSecret\": \"XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA\",\n \"hmacKeys\": [\n \"4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9\"\n ]\n }\n },\n \"accountName\": \"TestAccountName\",\n \"accountDisplayName\": \"TestAccountDisplayName\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-idempotency-key", "<x-idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.eu.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}")
.header("x-idempotency-key", "<x-idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"config\": {\n \"accountDetails\": {\n \"processingChannelId\": \"pc_0a70d769-9c20-416e-a436-4a323ce7eabf\"\n },\n \"credentials\": {\n \"clientId\": \"ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc\",\n \"clientSecret\": \"XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA\",\n \"hmacKeys\": [\n \"4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9\"\n ]\n }\n },\n \"accountName\": \"TestAccountName\",\n \"accountDisplayName\": \"TestAccountDisplayName\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eu.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-idempotency-key"] = '<x-idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"config\": {\n \"accountDetails\": {\n \"processingChannelId\": \"pc_0a70d769-9c20-416e-a436-4a323ce7eabf\"\n },\n \"credentials\": {\n \"clientId\": \"ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc\",\n \"clientSecret\": \"XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA\",\n \"hmacKeys\": [\n \"4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9\"\n ]\n }\n },\n \"accountName\": \"TestAccountName\",\n \"accountDisplayName\": \"TestAccountDisplayName\"\n}"
response = http.request(request)
puts response.read_body{
"id": "d9479775-3926-44af-9fcc-1c83ff4dcad6",
"providerId": "01039f19-d151-48b4-86aa-b36e68323e4e",
"createdAt": "2022-04-22T17:53:36.814Z",
"config": {
"accountDetails": {
"processingChannelId": "pc_0a70d769-9c20-416e-a436-4a323ce7eabf"
},
"credentials": {
"clientId": "ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc",
"clientSecret": "secret://**********************************************************************************XYZA",
"hmacKeys": [
"secret://********************************67X9"
]
}
},
"accountName": "TestAccountName",
"configSchema": "{\"required\":[\"accountDetails\",\"credentials\"],\"definitions\":{\"PspCheckoutAccountDetails\":{\"required\":[\"processingChannelId\"],\"properties\":{\"processingChannelId\":{\"title\":\"Processing channel ID\",\"minLength\":1,\"pattern\":\"^pc_.+$\",\"type\":\"string\"}},\"type\":\"object\"},\"PspCheckoutCredentials\":{\"required\":[\"clientId\",\"clientSecret\"],\"properties\":{\"clientId\":{\"title\":\"Client ID\",\"description\":\"Client ID used to authenticate requests to the Checkout API\",\"minLength\":1,\"type\":\"string\"},\"clientSecret\":{\"title\":\"Client Secret\",\"description\":\"Client Secret used to authenticate requests to the Checkout API\",\"minLength\":1,\"type\":\"string\",\"format\":\"secret\"},\"hmacKeys\":{\"title\":\"HMAC keys\",\"description\":\"HMAC keys used to authenticate notifications from the Checkout API\",\"pattern\":\"^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$\",\"items\":{\"type\":\"string\"},\"type\":\"array\",\"format\":\"secret\"}},\"type\":\"object\"}},\"properties\":{\"accountDetails\":{\"$ref\":\"#/definitions/PspCheckoutAccountDetails\",\"title\":\"Account details\"},\"credentials\":{\"$ref\":\"#/definitions/PspCheckoutCredentials\",\"title\":\"Checkout credentials\"}},\"type\":\"object\"}",
"accountDisplayName": "TestAccountDisplayName",
"workspaces": [
"7f9f1882-a103-408d-ac96-46a7021e537a",
"70025496-f2a8-4211-b852-32261cbd8cde"
],
"notificationUrl": "https://api-pub.eu.staging.payrails.io/public/notification/provider/testpsp/accountName/TestPSP"
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}Update a provider config status
Change the status of a provider config, such as enabling or disabling it, and receive the updated provider config with its new status in the response.
PATCH
https://api.eu.staging.payrails.io
/
payment
/
providers
/
{providerId}
/
configs
/
{providerConfigId}
Update a provider config status
curl --request PATCH \
--url https://api.eu.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-idempotency-key: <x-idempotency-key>' \
--data '
{
"config": {
"accountDetails": {
"processingChannelId": "pc_0a70d769-9c20-416e-a436-4a323ce7eabf"
},
"credentials": {
"clientId": "ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc",
"clientSecret": "XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA",
"hmacKeys": [
"4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9"
]
}
},
"accountName": "TestAccountName",
"accountDisplayName": "TestAccountDisplayName"
}
'import requests
url = "https://api.eu.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}"
payload = {
"config": {
"accountDetails": { "processingChannelId": "pc_0a70d769-9c20-416e-a436-4a323ce7eabf" },
"credentials": {
"clientId": "ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc",
"clientSecret": "XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA",
"hmacKeys": ["4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9"]
}
},
"accountName": "TestAccountName",
"accountDisplayName": "TestAccountDisplayName"
}
headers = {
"x-idempotency-key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-idempotency-key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
config: {
accountDetails: {processingChannelId: 'pc_0a70d769-9c20-416e-a436-4a323ce7eabf'},
credentials: {
clientId: 'ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc',
clientSecret: 'XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA',
hmacKeys: ['4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9']
}
},
accountName: 'TestAccountName',
accountDisplayName: 'TestAccountDisplayName'
})
};
fetch('https://api.eu.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eu.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'config' => [
'accountDetails' => [
'processingChannelId' => 'pc_0a70d769-9c20-416e-a436-4a323ce7eabf'
],
'credentials' => [
'clientId' => 'ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc',
'clientSecret' => 'XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA',
'hmacKeys' => [
'4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9'
]
]
],
'accountName' => 'TestAccountName',
'accountDisplayName' => 'TestAccountDisplayName'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-idempotency-key: <x-idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eu.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}"
payload := strings.NewReader("{\n \"config\": {\n \"accountDetails\": {\n \"processingChannelId\": \"pc_0a70d769-9c20-416e-a436-4a323ce7eabf\"\n },\n \"credentials\": {\n \"clientId\": \"ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc\",\n \"clientSecret\": \"XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA\",\n \"hmacKeys\": [\n \"4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9\"\n ]\n }\n },\n \"accountName\": \"TestAccountName\",\n \"accountDisplayName\": \"TestAccountDisplayName\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-idempotency-key", "<x-idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.eu.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}")
.header("x-idempotency-key", "<x-idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"config\": {\n \"accountDetails\": {\n \"processingChannelId\": \"pc_0a70d769-9c20-416e-a436-4a323ce7eabf\"\n },\n \"credentials\": {\n \"clientId\": \"ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc\",\n \"clientSecret\": \"XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA\",\n \"hmacKeys\": [\n \"4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9\"\n ]\n }\n },\n \"accountName\": \"TestAccountName\",\n \"accountDisplayName\": \"TestAccountDisplayName\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eu.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-idempotency-key"] = '<x-idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"config\": {\n \"accountDetails\": {\n \"processingChannelId\": \"pc_0a70d769-9c20-416e-a436-4a323ce7eabf\"\n },\n \"credentials\": {\n \"clientId\": \"ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc\",\n \"clientSecret\": \"XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA\",\n \"hmacKeys\": [\n \"4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9\"\n ]\n }\n },\n \"accountName\": \"TestAccountName\",\n \"accountDisplayName\": \"TestAccountDisplayName\"\n}"
response = http.request(request)
puts response.read_body{
"id": "d9479775-3926-44af-9fcc-1c83ff4dcad6",
"providerId": "01039f19-d151-48b4-86aa-b36e68323e4e",
"createdAt": "2022-04-22T17:53:36.814Z",
"config": {
"accountDetails": {
"processingChannelId": "pc_0a70d769-9c20-416e-a436-4a323ce7eabf"
},
"credentials": {
"clientId": "ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc",
"clientSecret": "secret://**********************************************************************************XYZA",
"hmacKeys": [
"secret://********************************67X9"
]
}
},
"accountName": "TestAccountName",
"configSchema": "{\"required\":[\"accountDetails\",\"credentials\"],\"definitions\":{\"PspCheckoutAccountDetails\":{\"required\":[\"processingChannelId\"],\"properties\":{\"processingChannelId\":{\"title\":\"Processing channel ID\",\"minLength\":1,\"pattern\":\"^pc_.+$\",\"type\":\"string\"}},\"type\":\"object\"},\"PspCheckoutCredentials\":{\"required\":[\"clientId\",\"clientSecret\"],\"properties\":{\"clientId\":{\"title\":\"Client ID\",\"description\":\"Client ID used to authenticate requests to the Checkout API\",\"minLength\":1,\"type\":\"string\"},\"clientSecret\":{\"title\":\"Client Secret\",\"description\":\"Client Secret used to authenticate requests to the Checkout API\",\"minLength\":1,\"type\":\"string\",\"format\":\"secret\"},\"hmacKeys\":{\"title\":\"HMAC keys\",\"description\":\"HMAC keys used to authenticate notifications from the Checkout API\",\"pattern\":\"^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$\",\"items\":{\"type\":\"string\"},\"type\":\"array\",\"format\":\"secret\"}},\"type\":\"object\"}},\"properties\":{\"accountDetails\":{\"$ref\":\"#/definitions/PspCheckoutAccountDetails\",\"title\":\"Account details\"},\"credentials\":{\"$ref\":\"#/definitions/PspCheckoutCredentials\",\"title\":\"Checkout credentials\"}},\"type\":\"object\"}",
"accountDisplayName": "TestAccountDisplayName",
"workspaces": [
"7f9f1882-a103-408d-ac96-46a7021e537a",
"70025496-f2a8-4211-b852-32261cbd8cde"
],
"notificationUrl": "https://api-pub.eu.staging.payrails.io/public/notification/provider/testpsp/accountName/TestPSP"
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Headers
Path Parameters
Body
application/json
Response
Success.